<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class AreaRequest extends FormRequest
{
    public function authorize(){
        return true;
    }

    
    public function rules(){
        
        if(isset($this->id)){ // En dado casyo de ser una modificacion
            return [
                'nombre' => 'required|min:5|max:40|unique:mysql.area,nom_area,' . $this->id . ',id_area'
            ];
        } else {
            return [
                'nombre' => 'required|min:5|max:40|unique:mysql.area,nom_area'
            ];
        }
        
    }
    
    
    public function attributes(){
        return [
            'nombre' => 'nombre',
        ];
    }
    
    public function messages(){
        return [
            'nombre.required' => 'Campo Obligatorio',
            'nombre.min' => 'Debe tener mínimo 5 carácteres',
            'nombre.max' => 'Debe tener máximo 40 carácteres',
            'nombre.unique' => 'El nombre especificado ya se encuentra en uso',
        ];
    }
}